* {
  box-sizing: border-box;
}

body {
  background-color: #f7fafc;
}

.container {
  padding: 0 30px;
}

.form-group {
  margin-bottom: 1rem;
}

label {
  display: inline-block;
  margin-bottom: 0.5rem;
}

input {
  -moz-appearance: none;
  -webkit-appearance: none;
  appearance: none;
  background-clip: padding-box;
  background-color: #fff;
  border-radius: 0.25rem;
  border: 1px solid #ced4da;
  color: #495057;
  display: block;
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.5;
  min-height: calc(1.5em + 0.75rem + 2px);
  padding: 0.375rem 0.75rem;
  transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
  width: 100%;
}

button {
  background-color: #884ea0;
  border-radius: 0.5rem;
  border: none;
  color: #fff;
  cursor: pointer;
  font-size: 1rem;
  font-weight: 700;
  padding: 0.5rem 1rem;
}

input:focus,
button:focus {
  border-color: #884ea0;
  box-shadow: 0 0 0 0.2rem rgba(155, 89, 182, 0.5);
  outline: 0;
}

.invalid-feedback {
  color: #884ea0;
  font-size: 0.85rem;
  margin-top: 0.25rem;
  width: 100%;
}

input.is-invalid {
  border-color: #884ea0;
  box-shadow: 0 0 0 0.2rem rgba(155, 89, 182, 0.5);
}

input.is-invalid:focus {
  border-color: #884ea0;
  box-shadow: 0 0 0 0.2rem rgba(155, 89, 182, 1.5);
}
